On this page
No Headings
Oauth 2.0 authentication
In: header
Scope: https://uri.paypal.com/services/payments/payment
The server stores keys for three hours.
Required for operations with a request body. The value is application/. Where the 'format' is 'json'.
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
curl -X POST "https://api-m.paypal.com/v1/payment-experience/v1/payment-experience/web-profiles" \ -H "PayPal-Request-Id: string" \ -H "Content-Type: string" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"id": "stringstringstringstri",
"name": "string",
"temporary": true,
"flow_config": {
"landing_page_type": "login",
"bank_txn_pending_url": "http://example.com",
"user_action": "COMMIT",
"return_uri_http_method": "GET"
},
"input_fields": {
"no_shipping": 0,
"address_override": 0
},
"presentation": {
"brand_name": "string",
"logo_image": "string",
"locale_code": "strin"
}
}{
"id": "stringstringstringstri",
"name": "string",
"temporary": true,
"flow_config": {
"landing_page_type": "login",
"bank_txn_pending_url": "http://example.com",
"user_action": "COMMIT",
"return_uri_http_method": "GET"
},
"input_fields": {
"no_shipping": 0,
"address_override": 0
},
"presentation": {
"brand_name": "string",
"logo_image": "string",
"locale_code": "strin"
}
}{
"name": "string",
"debug_id": "string",
"message": "string",
"information_link": "string",
"details": [
{
"field": "string",
"issue": "string"
}
]
}{
"name": "string",
"debug_id": "string",
"message": "string",
"information_link": "string",
"details": [
{
"field": "string",
"issue": "string"
}
]
}The web experience profile name. Must be unique for a set of profiles for a merchant.
1 <= length <= 50Indicates whether the profile persists for three hours or permanently. To persist the profile permanently, set to false. To persist the profile for three hours, set to true.
The flow configuration parameters.
The input field customization parameters.
The style and presentation parameters.